From: Nilesh Patra <npatra974@gmail.com>
Date: Fri, 26 Apr 2024 14:45:50 +0100
Subject: call cythonize() after clean operation has been done

Last-Update: Aug 6, 2020
Forwarded: not-needed
---
 setup.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/setup.py b/setup.py
index 251836d..c0302bf 100644
--- a/setup.py
+++ b/setup.py
@@ -70,7 +70,7 @@ for modname in ['dicttoolz', 'functoolz', 'itertoolz', 'recipes', 'utils']:
     ext_modules.append(Extension('cytoolz.' + modname.replace('/', '.'),
                                  ['cytoolz/' + modname + suffix]))
 
-if use_cython:
+if use_cython and "clean" not in sys.argv:
     try:
         from Cython.Compiler.Options import get_directive_defaults
         directive_defaults = get_directive_defaults()
